Skip to main content
POST
/
portfolio-margining
/
simulate
Calculate portfolio margin, pnl and greeks
curl --request POST \
  --url https://demo-futures.kraken.com/derivatives/api/v3/portfolio-margining/simulate \
  --header 'APIKey: <api-key>' \
  --header 'Authent: <api-key>'
{
  "maintenanceMargin": 123,
  "initialMargin": 123,
  "pnl": 123,
  "portfolioMarginBreakdown": {
    "totalCrossAssetNettedMarketRisk": 123,
    "totalMarketRisk": 123,
    "totalAbsoluteOptionPositionDeltaNotional": 123,
    "netPortfolioDelta": 123,
    "totalPremium": 123,
    "isBuyOnly": true,
    "futuresMaintenanceMargin": 123,
    "totalScenarioPnls": [
      123
    ]
  },
  "greeks": {},
  "result": "success",
  "serverTime": "2020-08-27T17:03:33.196Z"
}

Documentation Index

Fetch the complete documentation index at: https://kraken-sandbox.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

APIKey
string
header
required

General API key with at least read-only access

Authent
string
header
required

Authentication string

Query Parameters

Response

200 - application/json

Simulated portfolio calculations

maintenanceMargin
number<double>
required
initialMargin
number<double>
required
pnl
number<double>
required
portfolioMarginBreakdown
object
required

Breakdown of components that make up the portfolio margin calculation.

greeks
object
required
result
enum<string>
required
Available options:
success
Example:

"success"

serverTime
string<date-time>
required

Server time in Coordinated Universal Time (UTC)

Example:

"2020-08-27T17:03:33.196Z"